Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PollableC.cpp File Reference

`#include "PollableC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "PollableC.i"`

Include dependency graph for PollableC.cpp:

## Functions
CORBA::Pollable_ptr | tao_CORBA_Pollable_duplicate (CORBA::Pollable_ptr p)
void | tao_CORBA_Pollable_release (CORBA::Pollable_ptr p)
CORBA::Pollable_ptr | tao_CORBA_Pollable_nil (void)
CORBA::Pollable_ptr | tao_CORBA_Pollable_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_CORBA_Pollable_upcast (void *src)
CORBA::DIIPollable_ptr | tao_CORBA_DIIPollable_duplicate (CORBA::DIIPollable_ptr p)
void | tao_CORBA_DIIPollable_release (CORBA::DIIPollable_ptr p)
CORBA::DIIPollable_ptr | tao_CORBA_DIIPollable_nil (void)
CORBA::DIIPollable_ptr | tao_CORBA_DIIPollable_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_CORBA_DIIPollable_upcast (void *src)
CORBA::PollableSet_ptr | tao_CORBA_PollableSet_duplicate (CORBA::PollableSet_ptr p)
void | tao_CORBA_PollableSet_release (CORBA::PollableSet_ptr p)
CORBA::PollableSet_ptr | tao_CORBA_PollableSet_nil (void)
CORBA::PollableSet_ptr | tao_CORBA_PollableSet_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_CORBA_PollableSet_upcast (void *src)

## Function Documentation

CORBA::DIIPollable_ptr tao_CORBA_DIIPollable_duplicate | ( | CORBA::DIIPollable_ptr | p | ) |

CORBA::DIIPollable_ptr tao_CORBA_DIIPollable_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

CORBA::DIIPollable_ptr tao_CORBA_DIIPollable_nil | ( | void |  | ) |

void tao_CORBA_DIIPollable_release | ( | CORBA::DIIPollable_ptr | p | ) |

CORBA::Object* tao_CORBA_DIIPollable_upcast | ( | void * | src | ) |

CORBA::Pollable_ptr tao_CORBA_Pollable_duplicate | ( | CORBA::Pollable_ptr | p | ) |

CORBA::Pollable_ptr tao_CORBA_Pollable_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

CORBA::Pollable_ptr tao_CORBA_Pollable_nil | ( | void |  | ) |

void tao_CORBA_Pollable_release | ( | CORBA::Pollable_ptr | p | ) |

CORBA::Object* tao_CORBA_Pollable_upcast | ( | void * | src | ) |

CORBA::PollableSet_ptr tao_CORBA_PollableSet_duplicate | ( | CORBA::PollableSet_ptr | p | ) |

CORBA::PollableSet_ptr tao_CORBA_PollableSet_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

CORBA::PollableSet_ptr tao_CORBA_PollableSet_nil | ( | void |  | ) |

void tao_CORBA_PollableSet_release | ( | CORBA::PollableSet_ptr | p | ) |

CORBA::Object* tao_CORBA_PollableSet_upcast | ( | void * | src | ) |